import { Component } from "@angular/core";
import { NgbModal } from "@ng-bootstrap/ng-bootstrap";
import { ControlSchedulerComponent } from "../control-scheduler/control-scheduler.component";

@Component({
  selector: "app-scheduler-list",
  templateUrl: "./scheduler-list.component.html",
  styleUrls: ["./scheduler-list.component.css"],
})
export class SchedulerListComponent {
  public breadcrumb: any;
  schedules = [
    {
      id: 1,
      title: "Lampu Depan ON",
      time: "08:55",
    },
    {
      id: 2,
      title: "Lampu Depan OFF",
      time: "09:50",
    },
  ];

  constructor(private modalService: NgbModal) {}

  ngOnInit(): void {
    this.breadcrumb = {
      mainlabel: "Scheduler List",
      links: [
        {
          name: "Home",
          isLink: false,
          link: "/dashboard/sales",
        },
        {
          name: "Control Device",
          isLink: false,
        },
        {
          name: "Scheduler List",
          isLink: false,
        },
      ],
    };
  }

  addSchedulerItem(item) {
    const modalRef = this.modalService.open(ControlSchedulerComponent, {
      size: "md",
      backdrop: "static", 
      keyboard: false, 
      centered: true
    });

    modalRef.componentInstance.device = item;
    modalRef.result.then(
      (result) => {
        if (result) {
          console.log(result);
        }
      },
      (reason) => {
        console.log(`Dismissed: ${reason}`);
      }
    );
    // Handle edit action
  }

}
